## chrony 4.1

=== debian/changelog ===
chrony (4.1-3ubuntu1) impish; urgency=medium

  * Merge with Debian unstable (LP: #1940252). Remaining changes:
    Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Dropped changes:
    - d/t/helper-functions: restart explicitly to fix test issues
  * Added changes:
    - d/p/lp-1940252-rtc-avoid-printing-and-scanning-time_t.patch: glibc 2.34
      compatibility

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 17 Aug 2021 12:22:32 +0200

chrony (4.1-3) unstable; urgency=medium

  * Upload to unstable.

  * debian/patches/:
    - Add allow-clone3-and-pread64-in-seccomp-filter.patch.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Sun, 15 Aug 2021 15:08:56 +0200

chrony (4.1-2) experimental; urgency=medium

  * Merge branch 'debian/unstable' into 'debian/latest'.

  * debian/rules:
    - Remove needless dh_auto_test override.

  [ Christian Ehrhardt ]
  * debian/tests/helper-functions:
    - Improve chronyd restart logic. While rendering the tests more readable,
    this also fixes ntp-server-and-nts-auth test on Ubuntu.

  [ Debian Janitor ]
  * debian/{control,chrony.maintscript}:
    - Remove constraints unnecessary since stretch.

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 26 Jun 2021 17:16:45 +0200

chrony (4.1-1ubuntu1) impish; urgency=medium

  * Merge new upstream 4.1 and yet unrelased changes from Debian salsa.
    Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Dropped changes:
    - d/t/helper-functions: reduce default ubuntu config, to make space for
      testcase config
      [ in Debian 4.0-6 ]
    - d/t/{dynamically-add-source,ntp-server-and-nts-auth,helper-functions}:
      unify tests to use reload and restart
      [ in Debian 4.0-6 ]
    - d/t/upstream-simulation-test-suite: Update clknetsim version to fix
      a test failure on s390x when LTO is enabled at build time (LP #1921377)
      [ in Debian 4.1~pre1-1 ]
    - d/p/lp-1915006-sys_linux-allow-statx-and-fstatat64-in-seccomp-filte.patch:
      add compatibility for glibc 2.33 (LP: 1915006)
      [ upstream in 4.1-pre1 ]
  * Added changes:
    - d/t/helper-functions: restart explicitly to fix test issues

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 18 May 2021 08:12:59 +0200

chrony (4.1-1) experimental; urgency=medium

  * Import upstream version 4.1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/copyright:
    - Update copyright years.

  * debian/upstream/signing-key.asc:
    - Update Miroslav Lichvar's key.

  * debian/watch:
    - Add upstream version mangle to transform -pre to ~pre.

 -- Vincent Blut <vincent.debian@free.fr>  Fri, 14 May 2021 00:25:34 +0200

chrony (4.1~pre1-1) experimental; urgency=medium

  * Import upstream version 4.1-pre1:


=== debian/control ===
Source: chrony
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
Standards-Version: 4.5.1
Build-Depends: asciidoctor,
               bison,
               debhelper-compat (= 13),
               dh-apparmor,
               gnutls-bin <!nocheck>,
               iproute2 [linux-any] <!nocheck>,
               libcap-dev [linux-any],
               libedit-dev,
               libgnutls28-dev,
               libseccomp-dev (>= 2.4.3-1~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x x32],
               nettle-dev,
               pkg-config,
               pps-tools [linux-any],
               procps <!nocheck>
Homepage: https://chrony.tuxfamily.org
Vcs-Git: https://salsa.debian.org/debian/chrony.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/debian/chrony
Rules-Requires-Root: no

Package: chrony
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         iproute2 [linux-any],
         libcap2-bin (>= 1:2.32-1),
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: dnsutils,
          networkd-dispatcher
Breaks: network-manager (<< 1.20.0-1~)
Conflicts: time-daemon
Provides: time-daemon
Replaces: time-daemon
Description: Versatile implementation of the Network Time Protocol
 It consists of a pair of programs:
 .
 chronyd:  This is a daemon which runs in background on the system.
 It obtains measurements (e.g. via the network) of the system's offset
 relative to other systems and adjusts the system time accordingly. For
 isolated systems, the user can periodically enter the correct time by
 hand (using 'chronyc'). In either case 'chronyd' determines the rate
 at which the computer gains or loses time, and compensates for this.
 Chronyd implements the NTP protocol and can act as either a client or
 a server.
 .
 chronyc: This is a command-line driven control and monitoring program.
 An administrator can use this to fine-tune various parameters within
 the daemon, add or delete servers etc whilst the daemon is running.

## chrony 4.2

=== debian/changelog ===
chrony (4.2-2ubuntu2) jammy; urgency=medium

  * d/patches/add-rseq.patch: Add "rseq" to list of acceptable syscalls to fix
    tests with glibc 2.35.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 08 Feb 2022 16:48:09 +1300

chrony (4.2-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Dropped changes [ in 4.2-1 ]
    - Drop patches present in v4.2
      + d/p/allow-clone3-and-pread64-in-seccomp-filter.patch
      + d/p/fix-seccomp-filter-for-BINDTODEVICE-socket-option.patch
      + d/p/lp-1940252-rtc-avoid-printing-and-scanning-time_t.patch
    - d/t/upstream-simulation-test-suite: bump to the matching clknetsim

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 04 Feb 2022 07:52:48 +0100

chrony (4.2-2) unstable; urgency=medium

  * debian/usr.sbin.chronyd:
    - Allow reading the chronyd configuration file that timemaster(8)
    generates. Thanks to Michael Lestinsky for the report! (Closes: #1004745)

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 01 Feb 2022 20:42:35 +0100

chrony (4.2-1) unstable; urgency=medium

  * Import upstream version 4.2:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.service:
    - Adopt upstream service unit hardening options.

  * debian/copyright:
    - Update copyright years.

  * debian/patches/*:
    - Drop patches applied upstream.
    - Add ensure_awk_commands_in_008-ntpera_test_return_an_integer.patch

  * debian/test/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 13 Jan 2022 14:01:35 +0100

chrony (4.2-0ubuntu1) jammy; urgency=medium

  * Merge with Debian testing (LP: #1946848) and upstream v4.2.
    Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Drop patches present in v4.2
    - d/p/allow-clone3-and-pread64-in-seccomp-filter.patch
    - d/p/fix-seccomp-filter-for-BINDTODEVICE-socket-option.patch
    - d/p/lp-1940252-rtc-avoid-printing-and-scanning-time_t.patch
  * Added changes:
    - d/t/upstream-simulation-test-suite: bump to the matching clknetsim

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 06 Jan 2022 14:51:22 +0100

chrony (4.1-4) unstable; urgency=medium

  * debian/:
    - Remove empty preinst maintainer script.

  * debian/chrony.lintian-overrides:
    - Remove unused overrides.

  * debian/control:
    - Bump Standards-Version to 4.6.0 (no changes needed).

  * debian/patches/*:
    - Add fix-seccomp-filter-for-BINDTODEVICE-socket-option.patch.
    (Closes: #995207)

  * debian/usr.sbin.chronyd:
    - Add 'vim:syntax=apparmor' modline.
    - Add feature ABI rule. Starting with AppArmor 3.0, policy needs to contain
    an abi rule to indicate which feature abi the policy was developed under.



=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: asciidoctor,
                bison,
                debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildtools.mk
export CC

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

BASE=debian/chrony

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --  --mandir=/usr/share/man \
		--sysconfdir=/etc/chrony \
		--with-user=_chrony \
		--enable-scfilter \
		--chronyrundir=/run/chrony \
		--with-ntp-era=$(shell date -d '1970-01-01 00:00:00+00:00' +'%s') \
		--enable-ntp-signd \
		--with-hwclockfile=/etc/adjtime \
		--with-pidfile=/run/chrony/chronyd.pid \
		--host-system=Linux

override_dh_install:
	dh_install
	install -m 0640 -t $(BASE)/usr/share/chrony/ debian/chrony.keys
	install -m 0755 -T examples/chrony.nm-dispatcher.dhcp ${BASE}/usr/lib/NetworkManager/dispatcher.d/20-chrony-dhcp
	install -m 0755 -T examples/chrony.nm-dispatcher.onoffline $(BASE)/usr/lib/NetworkManager/dispatcher.d/20-chrony-onoffline
	install -m 0644 -T examples/chrony.logrotate $(BASE)/etc/logrotate.d/chrony
	dh_apparmor --profile-name=usr.sbin.chronyd -pchrony
	install -D -p -m 0644 debian/chrony.dhcp $(BASE)/etc/dhcp/dhclient-exit-hooks.d/chrony

override_dh_fixperms:
	dh_fixperms -X usr/share/chrony/chrony.keys

override_dh_installinit:
	dh_installinit
# Disable the system call filter on architectures mentioned below
# due to missing support in libseccomp and/or in the Linux kernel.
ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 m68k sh4 sparc64))
	sed -i '/DAEMON_OPTS=/s/"-F 1"/""/' $(BASE)/etc/default/chrony
endif

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/\.tar\.gz$/-tar-gz-asc.txt/,uversionmangle=s/-pre/~pre/" \
https://download.tuxfamily.org/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## chrony 4.3

=== debian/changelog ===
chrony (4.3-2+deb12u1) unstable; urgency=medium

  * debian/usr.sbin.chronyd:
    - Modify the AppArmor profile to allow more gpsd socket names. This will
    avoid the need for users to override the profile to let chronyd consume PPS
    samples or serial time supplied by gpsd over a Unix-domain socket.
    Thanks to Ryan Govostes for the report. (Closes: #1034519)

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 08 May 2023 22:05:00 +0200

chrony (4.3-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.6.2 (no changes needed).

  * debian/copyright:
    - Update copyright year for debian/*.

  * debian/.gitlab-ci.yml:
    - Use the recommended syntax to skip a job.

  * debian/install:
    - Install the chrony-wait.service systemd unit.

  * debian/postinst:
    - Ensure that chronyd can read the /etc/chrony/chrony.keys file after
    dropping root privileges.

  * debian/postrm:
    - Remove the override for /etc/chrony/chrony.keys when purging chrony.

  * debian/rules:
    - Do not enable nor start chrony-wait.service for the time being.

  * debian/tests/upstream-simulation-test-suite:
    - Run each test only once. Running several iterations is no longer
    relevant since we use a hard coded seed.

  [ Taylor Stearns ]
  * debian/chrony.conf:
    - Replace U+2019 with ASCII quote. (MR: !10)

 -- Vincent Blut <vincent.debian@free.fr>  Fri, 27 Jan 2023 22:51:17 +0100

chrony (4.3-1) unstable; urgency=medium

  * Import upstream version 4.3:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/copyright:
    - Update copyright years.

  [ Bastian Blank ]
  * debian/chrony.service:
    - Let systemd handle directories. (MR: !9)

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 31 Aug 2022 13:32:14 +0200

chrony (4.3~pre1-1) experimental; urgency=medium

  * Import upstream version 4.3-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.lintian-overrides:
    - Update lintian override syntax.

  * debian/control:
    - Bump Standards-Version to 4.6.1 (no changes needed).

  * debian/patches/*:
    - Drop ensure_awk_commands_in_008-ntpera_test_return_an_integer.patch,
    applied upstream.
    - Refresh nm-dispatcher-dhcp_Move-server_dir-to-run.patch.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 11 Aug 2022 14:12:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: chrony
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
-Standards-Version: 4.6.0
+Maintainer: Vincent Blut <vincent.debian@free.fr>
+Standards-Version: 4.6.2
 Build-Depends: asciidoctor,
                bison,
                debhelper-compat (= 13),
@@ -28,7 +27,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          iproute2 [linux-any],
-         libcap2-bin (>= 1:2.32-1),
          tzdata,
          ucf,
          ${misc:Depends},

=== debian/tests/control ===
Tests: upstream-simulation-test-suite
Depends: @builddeps@, build-essential, ca-certificates, wget
Restrictions: isolation-container, build-needed, skippable, needs-root, needs-internet

Tests: time-sources-from-dhcp-servers
Depends: @, isc-dhcp-server, isc-dhcp-client, iproute2, kmod
Restrictions: isolation-machine, needs-root

Features: test-name=run_system_tests
Test-Command: debian/tests/upstream-system-tests
Depends: @builddeps@
Restrictions: build-needed, isolation-container, needs-root

Features: test-name=run_destructive_system_tests
Test-Command: debian/tests/upstream-system-tests -d 1[0-9][0-9]-*
Depends: @, @builddeps@, ethtool
Restrictions: build-needed, isolation-machine, needs-root

Tests: fragmented-configuration
Restrictions: isolation-container, needs-root

Tests: dynamically-add-source
Depends: @, dpkg-dev
Restrictions: isolation-container, needs-root, skippable

Tests: ntp-server-and-nts-auth
Depends: @, dpkg-dev, gnutls-bin
Restrictions: isolation-container, needs-root, skippable

## chrony 4.4

=== debian/changelog ===
chrony (4.4-1) unstable; urgency=medium

  * Import upstream version 4.4:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/:
    - Update links to point to new chrony location.

  * debian/copyright:
    - Update copyright years.

  * debian/install:
    - Install the chronyd-restricted systemd unit.

  * debian/patches/:
    - Add debianize-chronyd-restricted-unit-file.patch.

  * debian/rules:
    - Do not enable nor start chronyd-restricted.service.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 09 Aug 2023 17:50:42 +0200

chrony (4.4~pre2-1) experimental; urgency=medium

  * Import upstream version 4.4-pre2:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.
    - Update clknetsim seed. This prevents the '148-replacement' test from
    failing.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 21 Jun 2023 19:12:19 +0200

chrony (4.4~pre1-1) experimental; urgency=medium

  * Merge branch 'debian/unstable' into 'debian/latest'.

  * Import upstream version 4.4-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 10 May 2023 16:26:48 +0200

chrony (4.3-3) experimental; urgency=medium

  * debian/control:
    - Depend on tzdata-legacy. right/* timezones have been split into a
    separate tzdata-legacy package. Since chronyd reads
    '/usr/share/zoneinfo/right/UTC' to determine when will the next leap second
    occur we have to depend on this new package. (LP: #2008076)

  * debian/.gitlab-ci.yml:
    - Run CI on experimental. This is necessary as long as tzdata-legacy is
    available in experimental only.

  * debian/tests/control:
    - Let upstream-simulation-test-suite depend on tzdata-legacy.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 27 Mar 2023 19:57:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -43,3 +43,8 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 m68k sh4 sparc64))
 	sed -i '/DAEMON_OPTS=/s/"-F 1"/""/' $(BASE)/etc/default/chrony
 endif
+
+override_dh_installsystemd:
+	dh_installsystemd chrony.service
+	dh_installsystemd --no-enable --no-start chrony-wait.service
+	dh_installsystemd --no-enable --no-start chronyd-restricted.service

## chrony 4.5

=== debian/changelog ===
chrony (4.5-3ubuntu3) oracular; urgency=medium

  * d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
    debconf behavior introduced in LP #2048876)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 02 Sep 2024 16:37:40 -0300

chrony (4.5-3ubuntu2) oracular; urgency=medium
  * Move Ubuntu NTP sources to /etc/chrony/sources.d/ubuntu-ntp-pools.sources,
    gated on a low priority (default yes) debconf question (LP: #2048876):
    - d/NEWS: Add entry with information about default time sources moving out
      from chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
    - d/chrony.conf, d/ubuntu-ntp-pools.sources: Move Ubuntu NTP pool sources
      from chrony.conf to ubuntu-ntp-pools.sources 
    - d/chrony.config: Ask chrony/configure_ubuntu_pools_in_sourcesd debconf
      question.
    - d/control: Add debconf dependency.
    - d/install: Install ubuntu-ntp-pools.sources in /usr/share/chrony
    - d/postinst: Handle ubuntu-ntp-pools.sources installation, removal and
      ucf tracking based on debconf question.
    - d/postrm: Handle /etc/chrony/sources.d/ubuntu-ntp-pools.sources removal
      from ucf tracking based on debconf question on uninstall.
    - d/templates: Add debconf question to customize installation of
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources. 
 
 -- Ankush Pathak <ankush.pathak@canonical.com>  Thu, 15 Aug 2024 00:03:08 +0530

chrony (4.5-3ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064393, LP: #2068526). Remaining
    changes:
    - d/chrony.conf: Use ubuntu ntp pool and server.
      (LP #1744664, #1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
  * Dropped:
    - d/usr.sbin.chronyd: apparmor fixes (LP: #2032805):
      + Allow the default UNIX domain socket address to be used by the
        reflock_sock service in the Apport configuration.
      + Fix failure to start timemaster due to lack of rw permissions on
        chrony socket.
      [In 4.5-2 and 4.5-3]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 02 Jul 2024 15:57:20 -0300

chrony (4.5-3) unstable; urgency=medium

  * debian/upstream-simulation-test-suite:
    - Update clknetsim version (Closes: #1073861)

  * debian/usr.sbin.chronyd:
    - Don't be too strict on allowed socket paths (LP: #2068526)

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 20 Jun 2024 00:41:37 +0200

chrony (4.5-2) unstable; urgency=medium

  * debian/copyright:
    - Update copyright year for debian/*.

  * debian/control:
    - Build depend on pkgconf instead of pkg-config.
    - Bump Standards-Version to 4.7.0 (no changes needed).

  * debian/rules:
    - Disable seccomp on loong64 until libseccomp in Debian supports it.

  * debian/tests/upstream-simulation-test-suite:
    - Build clknetsim with extra CFLAGS on armel and armhf architectures as it
    needs to use the same time_t as the chronyd binary.
    - Update clknetsim version.
    - Prevent connection timeout on slow architectures.
    - Remove unused environment variable.

  [ Bryce Harrington ]
  * debian/usr.sbin.chronyd:
    - Fix failure to start timemaster due to lack of rw permissions on chrony
    socket. (LP: #2032805)
    - Allow the default UNIX domain socket address to be used by the
    reflock_sock service in the AppArmor configuration.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 25 Apr 2024 15:52:18 +0200

chrony (4.5-1ubuntu4) noble; urgency=medium

  * d/usr.sbin.chronyd: Fix failure to start timemaster due to lack
    of rw permissions on chrony socket.
    (LP: #2032805)
  * d/usr.sbin.chronyd: Allow the default UNIX domain socket address
    to be used by the reflock_sock service in the Apport configuration.
    (ref LP #2032805)

 -- Bryce Harrington <bryce@canonical.com>  Mon, 01 Apr 2024 18:28:32 -0700

chrony (4.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:10 +1100

chrony (4.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:02:48 +0000

chrony (4.5-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040371). Remaining changes:
    - d/chrony.conf: Use ubuntu ntp pool and server.
      (LP #1744664, #1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)


=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: chrony
 Section: net
 Priority: optional
-Maintainer: Vincent Blut <vincent.debian@free.fr>
-Standards-Version: 4.6.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
+Standards-Version: 4.7.0
 Build-Depends: asciidoctor,
                bison,
                debhelper-compat (= 13),
@@ -14,10 +15,10 @@
                libgnutls28-dev,
                libseccomp-dev (>= 2.4.3-1~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x x32],
                nettle-dev,
-               pkg-config,
+               pkgconf,
                pps-tools [linux-any],
                procps <!nocheck>
-Homepage: https://chrony.tuxfamily.org
+Homepage: https://chrony-project.org
 Vcs-Git: https://salsa.debian.org/debian/chrony.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/debian/chrony
 Rules-Requires-Root: no
@@ -25,9 +26,11 @@
 Package: chrony
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: adduser,
+Depends: adduser (>= 3.130),
+         debconf (>= 0.5),
          iproute2 [linux-any],
-         tzdata,
+         tzdata-legacy,
+         libcap2-bin (>= 1:2.32-1),
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,11 @@
+# Keep this as the first test, to check default installation behavior more
+# easily.
+Tests: default-ubuntu-sources-behavior
+Depends: chrony
+Restrictions: isolation-container, needs-root
+
 Tests: upstream-simulation-test-suite
-Depends: @builddeps@, build-essential, ca-certificates, wget
+Depends: @builddeps@, build-essential, ca-certificates, tzdata-legacy, wget
 Restrictions: isolation-container, build-needed, skippable, needs-root, needs-internet
 
 Tests: time-sources-from-dhcp-servers

## chrony 4.6

=== debian/changelog ===
chrony (4.6-1) unstable; urgency=medium

  * Import upstream version 4.6-1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/copyright:
    - Update copyright years.
    - Add Files stanzas.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 02 Sep 2024 19:37:15 +0200

chrony (4.6~pre1-1) experimental; urgency=medium

  * Import upstream version 4.6-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.conf:
    - Use the leapseclist directive to read NIST/IERS leap-seconds.list file.

  * debian/control:
    - Revert "d/control: Depend on tzdata-legacy". chronyd is now able to read
    the NIST/IERS leap-seconds.list file so we don't need to rely on the
    right/UTC timezone to get the TAI-UTC offsets. This renders the dependency
    on tzdata-legacy unnecessary.

  * debian/tests/control:
    - Revert "d/t/control: Let upstream-simulation-test-suite depend on
    tzdata-legacy".

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 30 Jul 2024 15:01:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: chrony
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
+Maintainer: Vincent Blut <vincent.debian@free.fr>
 Standards-Version: 4.7.0
 Build-Depends: asciidoctor,
                bison,
@@ -27,10 +26,8 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser (>= 3.130),
-         debconf (>= 0.5),
          iproute2 [linux-any],
-         tzdata-legacy,
-         libcap2-bin (>= 1:2.32-1),
+         tzdata,
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -40,11 +40,13 @@
 	dh_installinit
 # Disable the system call filter on architectures mentioned below
 # due to missing support in libseccomp and/or in the Linux kernel.
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 m68k sh4 sparc64))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 loong64 m68k sh4 sparc64))
 	sed -i '/DAEMON_OPTS=/s/"-F 1"/""/' $(BASE)/etc/default/chrony
 endif
 
 override_dh_installsystemd:
 	dh_installsystemd chrony.service
-	dh_installsystemd --no-enable --no-start chrony-wait.service
-	dh_installsystemd --no-enable --no-start chronyd-restricted.service
+	dh_installsystemd --name=chrony-wait --no-enable --no-start chrony-wait.service
+	dh_installsystemd --name=chronyd-restricted --no-enable --no-start chronyd-restricted.service
+	dh_installsystemd --name=chrony-dnssrv@ chrony-dnssrv@.service
+	dh_installsystemd --name=chrony-dnssrv@ --no-enable --no-start chrony-dnssrv@.timer

## chrony 4.6.1

=== test/kernel/Makefile ===
CFLAGS=-O2 -Wall
PROGS=adjtime ntpadjtime

all: $(PROGS)

clean:
	rm -f $(PROGS)

=== debian/changelog ===
chrony (4.6.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085221). Remaining changes:
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
    - d/chrony.conf: remove Debian NTP pool
    - Install Ubuntu NTP sources in
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources, gated on a low priority
      (default yes) debconf question (LP #2048876):
      + d/templates: Add debconf question to customize installation of
        /etc/chrony/sources.d/ubuntu-ntp-pools.sources
      + d/install, d/ubuntu-ntp-pools.sources: Install ubuntu-ntp-pools.sources
        in /usr/share/chrony
      + d/control: add dependency on debconf
      + d/postinst: handle Ubuntu pools via debconf and ucf
      + d/postrm: handle Ubuntu pools via debconf and ucf
      + d/NEWS: Add information about default time sources moving out from
        chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
      + d/chrony.config: debconf script to handle Ubuntu pools
      + d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
        debconf behavior
    - Use Ubuntu NTS servers by default (LP #2084585):
      + d/conf.d/ubuntu-nts.conf: refer to the CA used to sign the NTS bootstrap
        server
      + d/nts-bootstrap-{,staging}-ubuntu.crt: CA certificate for the NTS
        bootstrap servers
      + d/install: install the NTS bootstrap CAs
      + d/ubuntu-ntp-pools.sources: use NTS by default
      + d/t/default-ubuntu-sources-behavior: update tests for NTS support
      + d/NEWS: add news entry about the NTS change

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 23 Jan 2025 10:35:08 -0300

chrony (4.6.1-1) unstable; urgency=medium

  * Import upstream version 4.6.1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/copyright:
    - Update copyright year.

  * debian/.gitlab-ci:
    - Use the recommended URL.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 08 Oct 2024 16:06:04 +0200

chrony (4.5-3ubuntu4) plucky; urgency=medium

  * Use Ubuntu NTS servers by default (LP: #2084585):
    - d/conf.d/ubuntu-nts.conf: refer to the CA used to sign the NTS bootstrap
      server
    - d/nts-bootstrap-{,staging}-ubuntu.crt: CA certificate for the NTS
      bootstrap servers
    - d/install: install the NTS bootstrap CAs
    - d/ubuntu-ntp-pools.sources: use NTS by default
    - d/t/default-ubuntu-sources-behavior: update tests for NTS support
    - d/NEWS: add news entry about the NTS change

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 17 Oct 2024 10:25:57 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: chrony
 Section: net
 Priority: optional
-Maintainer: Vincent Blut <vincent.debian@free.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
 Standards-Version: 4.7.0
 Build-Depends: asciidoctor,
                bison,
@@ -26,8 +27,10 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser (>= 3.130),
+         debconf (>= 0.5),
          iproute2 [linux-any],
          tzdata,
+         libcap2-bin (>= 1:2.32-1),
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,5 @@
 override_dh_installsystemd:
 	dh_installsystemd chrony.service
 	dh_installsystemd --name=chrony-wait --no-enable --no-start chrony-wait.service
-	dh_installsystemd --name=chronyd-restricted --no-enable --no-start chronyd-restricted.service
 	dh_installsystemd --name=chrony-dnssrv@ chrony-dnssrv@.service
 	dh_installsystemd --name=chrony-dnssrv@ --no-enable --no-start chrony-dnssrv@.timer

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Restrictions: isolation-container, needs-root
 
 Tests: upstream-simulation-test-suite
-Depends: @builddeps@, build-essential, ca-certificates, tzdata-legacy, wget
+Depends: @builddeps@, build-essential, ca-certificates, wget
 Restrictions: isolation-container, build-needed, skippable, needs-root, needs-internet
 
 Tests: time-sources-from-dhcp-servers

## chrony 4.7

=== debian/changelog ===
chrony (4.7-1ubuntu1) questing; urgency=medium

  * Merge with Debian experimental. Remaining changes: (LP: #2110435)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
    - d/chrony.conf: remove Debian NTP pool
    - Install Ubuntu NTP sources in
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources, gated on a low priority
      (default yes) debconf question (LP #2048876):
      + d/templates: Add debconf question to customize installation of
        /etc/chrony/sources.d/ubuntu-ntp-pools.sources
      + d/install, d/ubuntu-ntp-pools.sources: Install ubuntu-ntp-pools.sources
        in /usr/share/chrony
      + d/control: add dependency on debconf
      + d/postinst: handle Ubuntu pools via debconf and ucf
      + d/postrm: handle Ubuntu pools via debconf and ucf
      + d/NEWS: Add information about default time sources moving out from
        chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
      + d/chrony.config: debconf script to handle Ubuntu pools
      + d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
        debconf behavior
    - Use Ubuntu NTS servers by default (LP #2084585):
      + d/conf.d/ubuntu-nts.conf: refer to the CA used to sign the NTS bootstrap
        server
      + d/nts-bootstrap-{,staging}-ubuntu.crt: CA certificate for the NTS
        bootstrap servers
      + d/install: install the NTS bootstrap CAs
      + d/ubuntu-ntp-pools.sources: use NTS by default
      + d/t/default-ubuntu-sources-behavior: update tests for NTS support
      + d/NEWS: add news entry about the NTS change
  * Drop Changes:
    - d/t/helper-functions: Do not fail if backup does not exist
      [Fixed in 4.7-1]
    - d/tests: Clean up after __no_system_clock_control()
      [Fixed in 4.7-1]
    - d/chrony.service: Do not run inside containers by default (LP 2111535)
      [Fixed in 4.7-1]
    - d/t/default-ubuntu-sources-behavior: Adopt to upstream container handling.
      [Squashed into "new test to check the debconf behavior"]
  * Add Changes:
    - d/chrony.service: Allow real chronyd to send READY=1 via sd_notify in
      place of the chronyd-starter.sh wrapper.
    - d/usr.sbin.chronyd: Grant access to NOTIFY_SOCKET in AppArmor profile.
    - d/chrony.conf: Document non-NTS sources from DHCP (LP: #2115565)

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 30 Jun 2025 13:26:18 +0200

chrony (4.7-1) experimental; urgency=medium

  [ Vincent Blut ]
  * Import upstream version 4.7 (LP: #2002910):
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * Merge branch 'debian/unstable' into 'debian/latest'.

  * debian/copyright:
    - Update copyright years.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

  [ Lukas Märdian ]
  * debian/chrony.service:
    - Do not run inside containers by default. (LP: #2111535)

  * debian/tests/helper-functions:
    - Introduce '__cleanup()' function.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 11 Jun 2025 17:38:16 +0200

chrony (4.7~pre1-1) experimental; urgency=medium

  * Import upstream version 4.7-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.service:
    - Switch service unit to use Type=notify.

  * debian/copyright:
    - Add an entry for refclock_rtc.c.

  * debian/patches/:
    - Refresh debianize-chronyd-restricted-unit-file.patch.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 21 May 2025 19:24:50 +0200

chrony (4.6.1-3) unstable; urgency=medium

  * debian/patches/:
    - Add conf:_fix_sourcedir_reloading_to_not_multiply_sources.patch. Thanks
    to MichaelR <MichaelR42@runbox.com> for the report. (Closes: #1106875)

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 03 Jun 2025 17:16:37 +0200

chrony (4.6.1-2) unstable; urgency=medium

  [ Vincent Blut ]
  * debian/chrony.conf:
    - Move the confdir directive at the end of the configuration file. This
    should prevent directives defined in /etc/chrony/conf.d/ from being
    overridden by corresponding directives in chrony.conf. (Closes: #1073865)

  * debian/chrony.service:
    - Drop 'After=network.target'. First and foremost, the network.target unit
    doesn't guarantee that any network interfaces are configured or
    operational. Furthermore, chronyd is perfectly able to operate without
    network or DNS functionality notably when used with a hardware reference


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: asciidoctor,
                bison,
                debhelper-compat (= 13),
@@ -13,7 +13,7 @@
                libcap-dev [linux-any],
                libedit-dev,
                libgnutls28-dev,
-               libseccomp-dev (>= 2.4.3-1~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x x32],
+               libseccomp-dev (>= 2.5.5-2~) [amd64 arm64 armel armhf hppa i386 loong64 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x x32],
                nettle-dev,
                pkgconf,
                pps-tools [linux-any],
@@ -43,14 +43,14 @@
 Description: Versatile implementation of the Network Time Protocol
  It consists of a pair of programs:
  .
- chronyd:  This is a daemon which runs in background on the system.
- It obtains measurements (e.g. via the network) of the system's offset
- relative to other systems and adjusts the system time accordingly. For
+ chronyd: This is a daemon which runs in the background on the system.
+ It obtains measurements (e.g., via the network) of the system's offset
+ relative to other systems, and adjusts the system time accordingly. For
  isolated systems, the user can periodically enter the correct time by
- hand (using 'chronyc'). In either case 'chronyd' determines the rate
+ hand (using 'chronyc'). In either case, 'chronyd' determines the rate
  at which the computer gains or loses time, and compensates for this.
  Chronyd implements the NTP protocol and can act as either a client or
- a server.
+ a server, or both.
  .
  chronyc: This is a command-line driven control and monitoring program.
  An administrator can use this to fine-tune various parameters within

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Keep this as the first test, to check default installation behavior more
 # easily.
 Tests: default-ubuntu-sources-behavior
-Depends: chrony
+Depends: chrony, dpkg-dev
 Restrictions: isolation-container, needs-root
 
 Tests: upstream-simulation-test-suite

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/\.tar\.gz$/-tar-gz-asc.txt/,uversionmangle=s/-pre/~pre/" \
https://chrony-project.org/releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
